wordpress更新时总提示要ftp账户的解决方法

本来以为这个问题是真的需要我搭一个ftp server然后填好ftp用户名和密码。后来搜了一下才发现不是这么回事,而是一个由于目录/文件权限配置不正确导致的错误。不得不说,wordpress的这个提示太有误导性了。

解决方案很简单,就是把wp的目录和文件所有者改成正确的即可。具体改成什么要看具体的系统中apache是哪个用户在运行。更多细节还是参考这篇文章吧。